export const dawnMessages = [
  "Good morning! Time to conquer your tasks!",
  "Rise and shine! New challenges await you today!",
  "A fresh dawn brings new tasks. Let's get started!",
  "Wake up! The day is yours to make the most of!",
  "New day, new tasks. Let's do this!",
  "The sun is up, and so are your tasks!",
  "Another day, another opportunity to achieve your goals!",
  "Time to rise and tackle your daily tasks!",
  "Good morning! Your tasks are ready for you!",
  "A new day, a new set of tasks. Make it count!",
  "Seize the day! Your tasks are waiting!",
  "The early bird gets the worm... and the tasks!",
  "Time to get to work! Your tasks await you!",
  "Good morning! Let's see what tasks today holds!",
  "Rise and grind! Time to complete your tasks!",
  "Your tasks are here to kickstart your day!",
  "Get ready to crush today's tasks!",
  "Morning! Let's make some progress on those tasks!",
  "A bright new day brings new tasks!",
  "Wake up and get started on your tasks!",
  "It's a new dawn. Time to tackle those tasks!",
  "Your tasks are ready for you. Let's get to work!",
  "Good morning! Let's complete those tasks!",
  "New day, new challenges. Time to get to work!",
  "Rise and shine! Your tasks are calling!",
];

export const introMessages = (player) => [
  "Your daily tasks:",
  "Here are your tasks:",
  `Here are your daily tasks, ${player.nameTag}:`,
  "Today's tasks:",
  "These are your tasks for today:",
  `Your tasks for today, ${player.nameTag}:`,
  "Tasks to complete today:",
  "Today's objectives:",
  "Here's what you need to do today:",
  `Your objectives for today, ${player.nameTag}:`,
  "Your tasks for the day:",
  "Here's your task list for today:",
  "Tasks assigned for today:",
  "Here are your daily objectives:",
  `Today's tasks, ${player.nameTag}:`,
  "What you need to complete today:",
  "Today's task list:",
  "Here's what you've got to do today:",
  `Daily tasks for you, ${player.nameTag}:`,
  "Today's goals:",
  "Your assignments for today:",
  `Tasks to accomplish today, ${player.nameTag}:`,
  "Your mission for today:",
  "Your daily to-do list:",
  `Today's checklist for you, ${player.nameTag}:`,
];

export const moreTasksMessages = [
  "Ready for more? Good luck!",
  "Back at it? Best of luck!",
  "More tasks await! Good luck!",
  "All set for new challenges? Good luck!",
  "You've completed your tasks! Ready for more?",
  "Looking for more? Good luck!",
  "Ready for the next round? Good luck!",
  "You're back! Good luck with the new tasks!",
  "New tasks incoming! Good luck!",
  "All done? Here's to more challenges!",
  "More tasks are ready! Best of luck!",
  "Back for more? Good luck!",
  "You've finished up! Ready to dive into new tasks?",
  "More tasks ahead. Good luck!",
  "All tasks completed? Time for more! Good luck!",
];

export const easyTasks = [
  {
    taskID: 1001,
    description: "Collect 10 Oak Logs",
    items: [{ typeID: "minecraft:oak_log", amount: 10 }],
  },
  {
    taskID: 1002,
    description: "Collect 5 Raw Beef",
    items: [{ typeID: "minecraft:beef", amount: 5 }],
  },
  {
    taskID: 1003,
    description: "Collect 5 Wheat",
    items: [{ typeID: "minecraft:wheat", amount: 5 }],
  },
  {
    taskID: 1004,
    description: "Collect 10 Cobblestone",
    items: [{ typeID: "minecraft:cobblestone", amount: 10 }],
  },
  {
    taskID: 1005,
    description: "Collect 5 Sugar Cane",
    items: [{ typeID: "minecraft:sugar_cane", amount: 5 }],
  },
  {
    taskID: 1006,
    description: "Collect 3 Apples",
    items: [{ typeID: "minecraft:apple", amount: 3 }],
  },
  {
    taskID: 1007,
    description: "Collect 12 Coal",
    items: [{ typeID: "minecraft:coal", amount: 12 }],
  },
  {
    taskID: 1008,
    description: "Collect 10 Dirt",
    items: [{ typeID: "minecraft:dirt", amount: 10 }],
  },
  {
    taskID: 1009,
    description: "Collect 3 Raw Chicken",
    items: [{ typeID: "minecraft:chicken", amount: 3 }],
  },
  {
    taskID: 1010,
    description: "Collect 10 Oak Wooden Planks",
    items: [{ typeID: "minecraft:oak_planks", amount: 10 }],
  },
  {
    taskID: 1011,
    description: "Collect 20 Gravel",
    items: [{ typeID: "minecraft:gravel", amount: 20 }],
  },
  {
    taskID: 1012,
    description: "Collect 15 Sand",
    items: [{ typeID: "minecraft:sand", amount: 15 }],
  },
  {
    taskID: 1013,
    description: "Collect 10 Clay Balls",
    items: [{ typeID: "minecraft:clay_ball", amount: 10 }],
  },
  {
    taskID: 1014,
    description: "Collect 4 String",
    items: [{ typeID: "minecraft:string", amount: 4 }],
  },
  {
    taskID: 1015,
    description: "Collect 3 Redstone Dust",
    items: [{ typeID: "minecraft:redstone", amount: 3 }],
  },
  {
    taskID: 1016,
    description: "Collect 5 Leather",
    items: [{ typeID: "minecraft:leather", amount: 5 }],
  },
  {
    taskID: 1017,
    description: "Collect 12 Iron Ingots",
    items: [{ typeID: "minecraft:iron_ingot", amount: 12 }],
  },
  {
    taskID: 1018,
    description: "Collect 10 Bones",
    items: [{ typeID: "minecraft:bone", amount: 10 }],
  },
  {
    taskID: 1019,
    description: "Collect 8 Lapis Lazuli",
    items: [{ typeID: "minecraft:lapis_lazuli", amount: 8 }],
  },
  {
    taskID: 1020,
    description: "Collect 2 Buckets",
    items: [{ typeID: "minecraft:bucket", amount: 2 }],
  },
  {
    taskID: 1021,
    description: "Collect 10 Bricks",
    items: [{ typeID: "minecraft:brick", amount: 10 }],
  },
  {
    taskID: 1022,
    description: "Collect 8 Melons",
    items: [{ typeID: "minecraft:melon", amount: 8 }],
  },
  {
    taskID: 1023,
    description: "Collect 12 Pumpkin Seeds",
    items: [{ typeID: "minecraft:pumpkin_seeds", amount: 12 }],
  },
  {
    taskID: 1024,
    description: "Collect 10 Wheat Seeds",
    items: [{ typeID: "minecraft:wheat_seeds", amount: 10 }],
  },
  {
    taskID: 1025,
    description: "Collect 15 Gold Nuggets",
    items: [{ typeID: "minecraft:gold_nugget", amount: 15 }],
  },
  {
    taskID: 1026,
    description: "Collect 10 Red Dyes",
    items: [{ typeID: "minecraft:red_dye", amount: 10 }],
  },
];


export const mediumTasks = [
  {
    taskID: 2001,
    description: "Mine 20 Iron Ore",
    items: [{ typeID: "minecraft:raw_iron", amount: 20 }],
  },
  {
    taskID: 2002,
    description: "Craft 10 Torches",
    items: [{ typeID: "minecraft:torch", amount: 10 }],
  },
  {
    taskID: 2003,
    description: "Smelt 15 Gold Ingots",
    items: [{ typeID: "minecraft:gold_ingot", amount: 15 }],
  },
  {
    taskID: 2004,
    description: "Collect 10 Ender Pearls",
    items: [{ typeID: "minecraft:ender_pearl", amount: 10 }],
  },
  {
    taskID: 2005,
    description: "Collect 20 Redstone Dust",
    items: [{ typeID: "minecraft:redstone", amount: 20 }],
  },
  {
    taskID: 2006,
    description: "Craft 5 Bookshelves",
    items: [{ typeID: "minecraft:bookshelf", amount: 5 }],
  },
  {
    taskID: 2007,
    description: "Mine 30 Coal Ore",
    items: [{ typeID: "minecraft:coal", amount: 30 }],
  },
  {
    taskID: 2008,
    description: "Collect 10 Diamonds",
    items: [{ typeID: "minecraft:diamond", amount: 10 }],
  },
  {
    taskID: 2009,
    description: "Collect 8 Emeralds",
    items: [{ typeID: "minecraft:emerald", amount: 8 }],
  },
  {
    taskID: 2010,
    description: "Craft 3 Enchanted Books",
    items: [{ typeID: "minecraft:enchanted_book", amount: 3 }],
  },
  {
    taskID: 2011,
    description: "Mine 25 Lapis Lazuli",
    items: [{ typeID: "minecraft:lapis_lazuli", amount: 25 }],
  },
  {
    taskID: 2012,
    description: "Craft 10 Rails",
    items: [{ typeID: "minecraft:rail", amount: 10 }],
  },
  {
    taskID: 2013,
    description: "Collect 10 Slimeballs",
    items: [{ typeID: "minecraft:slime_ball", amount: 10 }],
  },
  {
    taskID: 2014,
    description: "Craft 1 Compasses",
    items: [{ typeID: "minecraft:compass", amount: 1 }],
  },
  {
    taskID: 2015,
    description: "Mine 15 Gold Ore",
    items: [{ typeID: "minecraft:raw_gold", amount: 15 }],
  },
  {
    taskID: 2016,
    description: "Craft 3 Lanterns",
    items: [{ typeID: "minecraft:lantern", amount: 3 }],
  },
  {
    taskID: 2017,
    description: "Collect 4 Diamonds",
    items: [{ typeID: "minecraft:diamond", amount: 4 }],
  },
  {
    taskID: 2018,
    description: "Collect 25 Redstone",
    items: [{ typeID: "minecraft:redstone", amount: 25 }],
  },
  {
    taskID: 2019,
    description: "Craft 5 Dispensers",
    items: [{ typeID: "minecraft:dispenser", amount: 5 }],
  },
  {
    taskID: 2020,
    description: "Mine 20 Nether Quartz",
    items: [{ typeID: "minecraft:quartz", amount: 20 }],
  },
  {
    taskID: 2021,
    description: "Collect 15 Leather",
    items: [{ typeID: "minecraft:leather", amount: 15 }],
  },
  {
    taskID: 2022,
    description: "Craft 1 Minecart",
    items: [{ typeID: "minecraft:minecart", amount: 1 }],
  },
  {
    taskID: 2023,
    description: "Collect 2 Ghast Tears",
    items: [{ typeID: "minecraft:ghast_tear", amount: 2 }],
  },
  {
    taskID: 2024,
    description: "Craft 3 Sticky Pistons",
    items: [{ typeID: "minecraft:sticky_piston", amount: 3 }],
  },
  {
    taskID: 2025,
    description: "Collect 4 Ender Pearls",
    items: [{ typeID: "minecraft:ender_pearl", amount: 4 }],
  },
  {
    taskID: 2026,
    description: "Craft 5 Arrows",
    items: [{ typeID: "minecraft:arrow", amount: 5 }],
  },
  {
    taskID: 2027,
    description: "Mine 3 Diamonds",
    items: [{ typeID: "minecraft:diamond_ore", amount: 3 }],
  },
  {
    taskID: 2028,
    description: "Collect 3 Obsidian",
    items: [{ typeID: "minecraft:obsidian", amount: 3 }],
  },
  {
    taskID: 2029,
    description: "Craft 1 Observer",
    items: [{ typeID: "minecraft:observer", amount: 1 }],
  },
  {
    taskID: 2030,
    description: "Collect 3 Bottles of Enchanting",
    items: [{ typeID: "minecraft:experience_bottle", amount: 3 }],
  },
];


export const hardTasks = [
  {
    taskID: 3001,
    description: "Mine 25 Diamond Ore",
    items: [{ typeID: "minecraft:diamond", amount: 25 }],
  },
  {
    taskID: 3002,
    description: "Collect 30 Emeralds",
    items: [{ typeID: "minecraft:emerald", amount: 30 }],
  },
  {
    taskID: 3003,
    description: "Enchant 10 Books",
    items: [{ typeID: "minecraft:enchanted_book", amount: 10 }],
  },
  {
    taskID: 3004,
    description: "Collect 25 Ghast Tears",
    items: [{ typeID: "minecraft:ghast_tear", amount: 25 }],
  },
  {
    taskID: 3005,
    description: "Mine 40 Lapis Lazuli Ore",
    items: [{ typeID: "minecraft:lapis_lazuli", amount: 40 }],
  },
  {
    taskID: 3006,
    description: "Craft a Beacon",
    items: [{ typeID: "minecraft:beacon", amount: 1 }],
  },
  {
    taskID: 3007,
    description: "Mine 40 Nether Quartz Ore",
    items: [{ typeID: "minecraft:quartz", amount: 40 }],
  },
  {
    taskID: 3008,
    description: "Collect 20 Blaze Rods",
    items: [{ typeID: "minecraft:blaze_rod", amount: 20 }],
  },
  {
    taskID: 3009,
    description: "Craft 20 Rails",
    items: [{ typeID: "minecraft:rail", amount: 20 }],
  },
  {
    taskID: 3010,
    description: "Collect 3 Wither Skeleton Skulls",
    items: [{ typeID: "minecraft:wither_skeleton_skull", amount: 3 }],
  },
  {
    taskID: 3011,
    description: "Craft 5 Dispensers",
    items: [{ typeID: "minecraft:dispenser", amount: 5 }],
  },
  {
    taskID: 3012,
    description: "Mine 40 Gold Ore",
    items: [{ typeID: "minecraft:raw_gold", amount: 40 }],
  },
  {
    taskID: 3013,
    description: "Collect 3 Fire Charges",
    items: [{ typeID: "minecraft:fire_charge", amount: 3 }],
  },
  {
    taskID: 3014,
    description: "Collect 20 Slimeballs",
    items: [{ typeID: "minecraft:slime_ball", amount: 20 }],
  },
  {
    taskID: 3015,
    description: "Craft 5 Sticky Pistons",
    items: [{ typeID: "minecraft:sticky_piston", amount: 5 }],
  },
  {
    taskID: 3016,
    description: "Collect 15 Ender Pearls",
    items: [{ typeID: "minecraft:ender_pearl", amount: 15 }],
  },
  {
    taskID: 3017,
    description: "Mine 30 Iron Ore",
    items: [{ typeID: "minecraft:raw_iron", amount: 30 }],
  },
  {
    taskID: 3018,
    description: "Craft 5 Observers",
    items: [{ typeID: "minecraft:observer", amount: 5 }],
  },
  {
    taskID: 3019,
    description: "Collect 25 Leather",
    items: [{ typeID: "minecraft:leather", amount: 25 }],
  },
  {
    taskID: 3020,
    description: "Craft a Minecart with Chest",
    items: [{ typeID: "minecraft:minecart_with_chest", amount: 1 }],
  },
  {
    taskID: 3021,
    description: "Mine 40 Nether Brick",
    items: [{ typeID: "minecraft:nether_brick", amount: 40 }],
  },
  {
    taskID: 3022,
    description: "Collect 20 Bottles of Enchanting",
    items: [{ typeID: "minecraft:experience_bottle", amount: 20 }],
  },
  {
    taskID: 3023,
    description: "Craft 2 Tripwire Hooks",
    items: [{ typeID: "minecraft:tripwire_hook", amount: 2 }],
  },
  {
    taskID: 3024,
    description: "Mine 10 Ancient Debris",
    items: [{ typeID: "minecraft:ancient_debris", amount: 10 }],
  },
  {
    taskID: 3025,
    description: "Collect 5 Shulker Shells",
    items: [{ typeID: "minecraft:shulker_shell", amount: 5 }],
  },
  {
    taskID: 3026,
    description: "Craft 15 Scaffolding",
    items: [{ typeID: "minecraft:scaffolding", amount: 15 }],
  },
  {
    taskID: 3027,
    description: "Mine 10 Diamond Ore",
    items: [{ typeID: "minecraft:diamond_or", amount: 10 }],
  },
  {
    taskID: 3028,
    description: "Collect an Enchanted Golden Apples",
    items: [{ typeID: "minecraft:enchanted_golden_apple", amount: 1 }],
  },
  {
    taskID: 3029,
    description: "Craft 10 Redstone Lamps",
    items: [{ typeID: "minecraft:redstone_lamp", amount: 10 }],
  },
  {
    taskID: 3030,
    description: "Collect a Phantom Membrane",
    items: [{ typeID: "minecraft:phantom_membrane", amount: 1 }],
  },
  {
    taskID: 3031,
    description: "Collect 50 Rotten Flesh",
    items: [{ typeID: "minecraft:deepslate_diamond_ore", amount: 50 }],
  },
  {
    taskID: 3032,
    description: "Collect any Skull",
    items: [{ typeID: "minecraft:skull", amount: 1 }],
  },
  {
    taskID: 3033,
    description: "Craft 3 Uncraftable Potions",
    items: [{ typeID: "minecraft:potions", amount: 3 }],
  },
  {
    taskID: 3034,
    description: "Mine 25 Raw Copper",
    items: [{ typeID: "minecraft:raw_copper", amount: 25 }],
  },
  {
    taskID: 3035,
    description: "Collect a Conduit",
    items: [{ typeID: "minecraft:conduit", amount: 1 }],
  },
  {
    taskID: 3036,
    description: "Craft 1 Leather Boot",
    items: [{ typeID: "minecraft:leather_boots", amount: 1 }],
  },
  {
    taskID: 3037,
    description: "Smelt 30 Copper Ingots",
    items: [{ typeID: "minecraft:copper_ingot", amount: 30 }],
  },
  {
    taskID: 3038,
    description: "Collect 5 Turtle Scutes",
    items: [{ typeID: "minecraft:turtle_scute", amount: 5 }],
  },
  {
    taskID: 3039,
    description: "Craft a Jukebox",
    items: [{ typeID: "minecraft:jukebox", amount: 1 }],
  },
];

